Package org.drinkless.tdlib

# Class TdApi.SecretChat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.SecretChat

Enclosing class:
  `TdApi`

public static class TdApi.SecretChat extends TdApi.Object
Represents a secret chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `id`
  Secret chat identifier.
  `boolean`
  `isOutbound`
  True, if the chat was created by the current user; false otherwise.
  `byte[]`
  `keyHash`
  Hash of the currently used key for comparison with the hash of the chat partner's key.
  `int`
  `layer`
  Secret chat layer; determines features supported by the chat partner's application.
  `TdApi.SecretChatState`
  `state`
  State of the secret chat.
  `long`
  `userId`
  Identifier of the chat partner.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SecretChat()`
  Represents a secret chat.
  `SecretChat(int id, long userId, TdApi.SecretChatState state, boolean isOutbound, byte[] keyHash, int layer)`
  Represents a secret chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Secret chat identifier.

  - ### userId

    public long userId
    Identifier of the chat partner.

  - ### state

    public TdApi.SecretChatState state
    State of the secret chat.

  - ### isOutbound

    public boolean isOutbound
    True, if the chat was created by the current user; false otherwise.

  - ### keyHash

    public byte[] keyHash
    Hash of the currently used key for comparison with the hash of the chat partner's key. This is a string of 36 little-endian bytes, which must be split into groups of 2 bits, each denoting a pixel of one of 4 colors FFFFFF, D5E6F3, 2D5775, and 2F99C9. The pixels must be used to make a 12x12 square image filled from left to right, top to bottom. Alternatively, the first 32 bytes of the hash can be converted to the hexadecimal format and printed as 32 2-digit hex numbers.

  - ### layer

    public int layer
    Secret chat layer; determines features supported by the chat partner's application. Nested text entities and underline and strikethrough entities are supported if the layer >= 101, files bigger than 2000MB are supported if the layer >= 143, spoiler and custom emoji text entities are supported if the layer >= 144.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SecretChat

    public SecretChat()
    Represents a secret chat.

  - ### SecretChat

    public SecretChat(int id, long userId, TdApi.SecretChatState state, boolean isOutbound, byte[] keyHash, int layer)
    Represents a secret chat.
    Parameters:
      `id` - Secret chat identifier.
      `userId` - Identifier of the chat partner.
      `state` - State of the secret chat.
      `isOutbound` - True, if the chat was created by the current user; false otherwise.
      `keyHash` - Hash of the currently used key for comparison with the hash of the chat partner's key. This is a string of 36 little-endian bytes, which must be split into groups of 2 bits, each denoting a pixel of one of 4 colors FFFFFF, D5E6F3, 2D5775, and 2F99C9. The pixels must be used to make a 12x12 square image filled from left to right, top to bottom. Alternatively, the first 32 bytes of the hash can be converted to the hexadecimal format and printed as 32 2-digit hex numbers.
      `layer` - Secret chat layer; determines features supported by the chat partner's application. Nested text entities and underline and strikethrough entities are supported if the layer >= 101, files bigger than 2000MB are supported if the layer >= 143, spoiler and custom emoji text entities are supported if the layer >= 144.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR